Liquidação Direcionada
curl --request POST \
--url https://pay.autorizou.dev/api/v1/payments/settlements \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"recipient_id": "<string>",
"payments": [
{
"payment_id": "<string>",
"installments": 123,
"merchant_fee_amount": 123
}
]
}
'import requests
url = "https://pay.autorizou.dev/api/v1/payments/settlements"
payload = {
"recipient_id": "<string>",
"payments": [
{
"payment_id": "<string>",
"installments": 123,
"merchant_fee_amount": 123
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
recipient_id: '<string>',
payments: [{payment_id: '<string>', installments: 123, merchant_fee_amount: 123}]
})
};
fetch('https://pay.autorizou.dev/api/v1/payments/settlements', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Pagamentos
Liquidação Direcionada
Envia pagamentos de um recebedor para liquidação
POST
/
api
/
v1
/
payments
/
settlements
Liquidação Direcionada
Direciona um conjunto de pagamentos de um recebedor para liquidação (settlement). Use quando precisar escolher quais recebíveis daquele recebedor entram na liquidação, em vez do fluxo automático.
Parâmetros
string
required
uuid do recebedor dono dos pagamentos.array
required
cURL
curl -X POST "https://pay.autorizou.dev/api/v1/payments/settlements" \
-H "Authorization: Bearer SUA_CHAVE" \
-H "Content-Type: application/json" \
-d '{
"recipient_id": "5f870686-59c3-3245-939f-9efb74a8ddfd",
"payments": [
{ "payment_id": "983a4ee4-b51a-39f4-a6e9-240ab7fcc8d3", "installments": 1 }
]
}'
O recebedor e os pagamentos precisam pertencer ao seu lojista — recebedor ou pagamento de outro
lojista é rejeitado.